
Public Class StatusLogger

    Private _RootDropDown As ToolStripDropDownButton
    Private _MaxLogEntries As Integer

    Public Sub New(ByVal DropDownButton As ToolStripDropDownButton, ByVal MaxEntries As Integer)
        _RootDropDown = DropDownButton
        _MaxLogEntries = MaxEntries
    End Sub

    Public Sub Log(ByVal ParamArray Args() As Object)
        _RootDropDown.Text = String.Concat(Args)
        With _RootDropDown.DropDownItems
            If .Count < _MaxLogEntries Then
                .Add(New ToolStripMenuItem)
            Else
                For i As Integer = 0 To _MaxLogEntries - 2
                    .Item(i).Text = .Item(i + 1).Text
                Next
            End If
            .Item(.Count - 1).Text = _RootDropDown.Text
        End With
    End Sub

End Class